/*
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id:$
 */
package com.sun.ts.tests.websocket.common.util;

import javax.websocket.EncodeException;
import javax.websocket.Encoder;
import javax.websocket.EndpointConfig;

public class BooleanEncoder implements Encoder.Text<Boolean> {

    @Override
    public void init(EndpointConfig config) {
    }

    @Override
    public String encode(Boolean b) throws EncodeException {

        return b.toString();
    }

    @Override
    public void destroy() {
    }
}